from django.contrib import admin
from .models import UserActivityLog

@admin.register(UserActivityLog)
class UserActivityLogAdmin(admin.ModelAdmin):
    list_display = ("user", "action", "name", "input_file_hash", "output_file_hash", "timestamp")
    search_fields = ("user__username", "name", "action")
    list_filter = ("action", "timestamp")